/*
    OS/2 Presentation Manager error codes include file
    for 32-bit development.
*/


#ifdef INCL_WINERRORS

#ifndef INCL_WINERRORS_INCL
#define INCL_WINERRORS_INCL

#define PMERR_INVALID_HWND                  0x1001
#define PMERR_INVALID_HMQ                   0x1002
#define PMERR_PARAMETER_OUT_OF_RANGE        0x1003
#define PMERR_WINDOW_LOCK_UNDERFLOW         0x1004
#define PMERR_WINDOW_LOCK_OVERFLOW          0x1005
#define PMERR_BAD_WINDOW_LOCK_COUNT         0x1006
#define PMERR_WINDOW_NOT_LOCKED             0x1007
#define PMERR_INVALID_SELECTOR              0x1008
#define PMERR_CALL_FROM_WRONG_THREAD        0x1009
#define PMERR_RESOURCE_NOT_FOUND            0x100A
#define PMERR_INVALID_STRING_PARM           0x100B
#define PMERR_INVALID_HHEAP                 0x100C
#define PMERR_INVALID_HEAP_POINTER          0x100D
#define PMERR_INVALID_HEAP_SIZE_PARM        0x100E
#define PMERR_INVALID_HEAP_SIZE             0x100F
#define PMERR_INVALID_HEAP_SIZE_WORD        0x1010
#define PMERR_HEAP_OUT_OF_MEMORY            0x1011
#define PMERR_HEAP_MAX_SIZE_REACHED         0x1012
#define PMERR_INVALID_HATOMTBL              0x1013
#define PMERR_INVALID_ATOM                  0x1014
#define PMERR_INVALID_ATOM_NAME             0x1015
#define PMERR_INVALID_INTEGER_ATOM          0x1016
#define PMERR_ATOM_NAME_NOT_FOUND           0x1017
#define PMERR_QUEUE_TOO_LARGE               0x1018
#define PMERR_INVALID_FLAG                  0x1019
#define PMERR_INVALID_HACCEL                0x101A
#define PMERR_INVALID_HPTR                  0x101B
#define PMERR_INVALID_HENUM                 0x101C
#define PMERR_INVALID_SRC_CODEPAGE          0x101D
#define PMERR_INVALID_DST_CODEPAGE          0x101E
#define PMERR_UNKNOWN_COMPONENT_ID          0x101f
#define PMERR_UNKNOWN_ERROR_CODE            0x1020
#define PMERR_SEVERITY_LEVELS               0x1021

#define PMERR_INVALID_RESOURCE_FORMAT       0x1034

#define PMERR_NO_MSG_QUEUE                  0x1036
#define PMERR_WIN_DEBUGMSG                  0x1037
#define PMERR_QUEUE_FULL                    0x1038
#define PMERR_LIBRARY_LOAD_FAILED           0x1039
#define PMERR_PROCEDURE_LOAD_FAILED         0x103A
#define PMERR_LIBRARY_DELETE_FAILED         0x103B
#define PMERR_PROCEDURE_DELETE_FAILED       0x103C
#define PMERR_ARRAY_TOO_LARGE               0x103D
#define PMERR_ARRAY_TOO_SMALL               0x103E
#define PMERR_DATATYPE_ENTRY_BAD_INDEX      0x103F
#define PMERR_DATATYPE_ENTRY_CTL_BAD        0x1040
#define PMERR_DATATYPE_ENTRY_CTL_MISS       0x1041
#define PMERR_DATATYPE_ENTRY_INVALID        0x1042
#define PMERR_DATATYPE_ENTRY_NOT_NUM        0x1043
#define PMERR_DATATYPE_ENTRY_NOT_OFF        0x1044
#define PMERR_DATATYPE_INVALID              0x1045
#define PMERR_DATATYPE_NOT_UNIQUE           0x1046
#define PMERR_DATATYPE_TOO_LONG             0x1047
#define PMERR_DATATYPE_TOO_SMALL            0x1048
#define PMERR_DIRECTION_INVALID             0x1049
#define PMERR_INVALID_HAB                   0x104A
#define PMERR_INVALID_HSTRUCT               0x104D
#define PMERR_LENGTH_TOO_SMALL              0x104E
#define PMERR_MSGID_TOO_SMALL               0x104F
#define PMERR_NO_HANDLE_ALLOC               0x1050
#define PMERR_NOT_IN_A_PM_SESSION           0x1051
#define PMERR_MSG_QUEUE_ALREADY_EXISTS      0x1052

#endif

#endif
